Skip to main content

Update an invoice

PATCH 

/api/invoices/{id}

Required permissions:

  • invoices.edit: required to update invoices for projects where the user is PM or Account.
  • invoices.edit_other: required to update invoices for projects where the user is not PM or Account.
  • invoices.edit_sent: required to update sent/paid invoices.

Request

Path Parameters

    id integerrequired

    Possible values: Value must match regular expression [0-9]+

    The ID of the invoice to update

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Body

    invoice_number stringnullable

    Possible values: <= 255 characters

    The invoice number

    purchase_order stringnullable

    The invoice purchase order reference

    value float

    The invoice value

    exchange_rate floatnullable

    The invoice custom exchange rate

    issue_date YYYY-MM-DD

    The invoice issue date

    notes stringnullable

    The invoice notes

    project_id integer

    The ID of the project to associate with this invoice

    budget_area_uid stringnullable

    The UID of the budget area to associate with this invoice

    vat_rate_id integernullable

    The ID of the VAT rate to associate with this invoice

    payment_term_id integernullable

    The ID of the payment term to associate with this invoice

Responses

Returns the invoice updated.

Schema

    id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    status stringrequired

    Possible values: [draft, sent, paid]

    The invoice status

    invoice_number stringnullable

    The invoice number

    purchase_order stringnullable

    The invoice purchase order reference

    value floatrequired

    The invoice value

    exchange_rate floatnullable

    The invoice custom exchange rate

    issue_date YYYY-MM-DDrequired

    The invoice issue date

    payment_date YYYY-MM-DDnullable

    The invoice payment date

    notes stringnullable

    The invoice notes

    project_id integerrequired

    Possible values: >= 1

    The ID of the project associated with this invoice

    budget_area_uid stringnullable

    The UID of the budget area associated with this invoice

    vat_rate_id integernullable

    The ID of the VAT rate associated with this invoice

    payment_term_id integernullable

    The ID of the payment term associated with this invoice

Loading...